---
title: "Mute User in Room"
slug: "mute-user-in-room"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Mute User in Room

Post/api/v1/rooms.muteUser

Mute a particular user in a room. Permission required: `mute-user`. The room becomes read-only for the muted user. They can still view messages but cannot send any until unmuted.

### Changelog

| Version | Description |
| --- | --- |
| 6.8.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='570656c8-5517-48f8-90d2-da205081e3f3'>application/json</option>
</select>object  userIdstring    Required

The user that you want to mute. Alternatively, use the `username` parameter and enter the username as the value.

ExampleCkCPNfjfhiwWLqC
roomIdstring    Required

The room ID.

ExampleJZ8Y2dLfYhsg323Rf

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='c4bf5611-4d0c-4bff-ad23-ba668f251173'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='20e198bf-d553-49e9-9a93-9af749feb3fa'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='c61c5dbb-01d8-4ce7-8046-49624ea3cc15'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b7408420-7ce4-4802-86ed-093bb698a992'>Invalid User</option>
<option value='e1c52d94-14e4-465b-acc4-973811d1f304'>Invalid Params</option>
</select>Invalid User

```json
{
  "success": false,
  "error": "The required \"userId\" or \"username\" param provided does not match any users [error-invalid-user]",
  "errorType": "error-invalid-user"
}
```

Invalid Params

```json
{
  "success": false,
  "error": "must have required property 'userId'\n must have required property 'username'\n must match exactly one schema in oneOf [invalid-params]",
  "errorType": "invalid-params"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='28461c12-726b-4c7f-8fb6-a73474496ab3'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='44456620-11dc-4f84-8f26-98261486f00c'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
